Set Customer Product
curl --request PUT \
--url https://api.bunny.net/partner/customer/{customerUserId}/products/{productId} \
--header 'AccessKey: <api-key>'import requests
url = "https://api.bunny.net/partner/customer/{customerUserId}/products/{productId}"
headers = {"AccessKey": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {AccessKey: '<api-key>'}};
fetch('https://api.bunny.net/partner/customer/{customerUserId}/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Products
Set Customer Product
Enable or disable a product on this partner-customer relationship.
PUT
/
partner
/
customer
/
{customerUserId}
/
products
/
{productId}
Set Customer Product
Authorizations
AccessKeybearer
API Access Key authorization header
Path Parameters
1 = CDN 2 = Database 3 = DNS 4 = Magic Containers 5 = Optimizer 6 = Edge Scripting 7 = Shield 8 = Storage 9 = Stream
Available options:
1, 2, 3, 4, 5, 6, 7, 8, 9 Query Parameters
Response
Updated.
Last modified on August 18, 2026
Was this page helpful?
⌘I